<video id="meuVideo" width="800" height="450" controls autoplay controlsList="nodownload"> <!---->
  <source src="http://files.cod3r.com.br/curso-web/video.mp4" type="video/mp4"> 
</video>

<div wm-progresso="meuVideo" class="progresso">
  <div></div>
</div>

<div>
  <button wm-play="meuVideo" >Play</button><!--onclick="playVideo()"-->
  <button wm-pause="meuVideo" >Pause</button><!--onclick="pauseVideo()"-->
</div>

<style>
  .progresso {
    height: 20px;
    width: 500px;
    border: solid 1px #444;
    margin: 20px;
  }

  .progresso div{
    background-color: blue;
    height: 100%;
    color: white;
    text-align: right;
    font-size: 14px;
    width: 0%;
  }
</style>

<script>
  function configurarVideo(id) {
    const video = document.getElementById(id)
    video.oncontextmenu = () => false

    document.querySelector(`[wm-play=${id}]`).onclick = e => video.play()
    document.querySelector(`[wm-pause=${id}]`).onclick = e => video.pause()

    setInterval(() => {
      const percentual = (video.currentTime / video.duration) * 100
      const valorDiv = document.querySelector(`[wm-progresso=${id}] > div`)
      valorDiv.style.width = `${percentual}%`
      valorDiv.innerHTML = `${percentual.toFixed(1)}%`
    }, 1);
  }

  configurarVideo('meuVideo')
  
  /*const video = document.getElementById('meuVideo')
  video.oncontextmenu = () => false
  
  function playVideo() {
    video.play()
    progressBar()
  }
  
  function pauseVideo() {
    video.pause()
  }
  

  setInterval(() => {
    const duracao = video.duration
    const tempoRodado = video.currentTime
    const porcentagem = (tempoRodado*100)/duracao
    let bar = document.querySelector('[wm-progresso] > div')
    bar.style.width = `${porcentagem}%`
  }, 1);*/

</script>
